Skip to main content
GET
List Benefits

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

type

Return only records matching benefit type.

Available options:
custom,
discord,
github_repository,
downloadables,
license_keys,
meter_credit,
feature_flag,
slack_shared_channel
id

Return only records matching benefit IDs. Identifier of the benefit.

exclude_id

Parameter: Exclude benefits with these IDs. Identifier of the benefit.

query
string | null

Return only records matching description.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
description,
-description,
type,
-type,
user_order,
-user_order
metadata
MetadataQuery · object | null

Return only records matching metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Request completed successfully

items
(BenefitCustom · object | BenefitDiscord · object | BenefitGitHubRepository · object | BenefitDownloadables · object | BenefitLicenseKeys · object | BenefitMeterCredit · object | BenefitFeatureFlag · object | BenefitSlackSharedChannel · object)[]
required

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

pagination
Pagination · object
required